classification
Title: Rename the thread module to _thread
Type: behavior Stage:
Components: Library (Lib) Versions: Python 3.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: brett.cannon, georg.brandl
Priority: release blocker Keywords:

Created on 2008-05-16 04:46 by brett.cannon, last changed 2008-05-26 17:33 by brett.cannon. This issue is now closed.

Messages (7)
msg66899 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-16 04:46
PEP 3108 has thread slated to be renamed _thread (along with dummy_thread 
to _dummy_thread).
msg67088 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-20 04:17
Renames are only occurring in 3.0, not 2.6.
msg67347 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-05-25 13:06
Done in r63631. Fixer added in r63627 and r63629, notices to 2.6 docs
added in r63630.

Do you still want to warn when importing thread or dummy_thread directly
in 2.6, like PEP 3108 says?
msg67355 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-26 00:17
Yeah, it is essentially a deprecation so the warning should be there.
msg67356 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-26 00:18
But then again I thought that about the renames. =) Someone might actually 
pickle something from thread, so not sure how best to handle this one.
msg67367 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-05-26 08:44
Then I suggest to do the same thing as for all the other renames,
leaving only the notice in the docs.
msg67377 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-26 17:33
On Mon, May 26, 2008 at 1:45 AM, Georg Brandl <report@bugs.python.org> wrote:
>
> Georg Brandl <georg@python.org> added the comment:
>
> Then I suggest to do the same thing as for all the other renames,
> leaving only the notice in the docs.
>

Works for me.
History
Date User Action Args
2008-05-26 17:33:17brett.cannonsetmessages: + msg67377
2008-05-26 08:44:59georg.brandlsetmessages: + msg67367
2008-05-26 00:20:17brett.cannonunlinkissue2775 dependencies
2008-05-26 00:18:06brett.cannonsetmessages: + msg67356
2008-05-26 00:17:27brett.cannonsetmessages: + msg67355
2008-05-25 13:06:32georg.brandlsetstatus: open -> closed
resolution: fixed
messages: + msg67347
nosy: + georg.brandl
2008-05-20 04:17:20brett.cannonsetmessages: + msg67088
versions: - Python 2.6
2008-05-16 04:47:00brett.cannonlinkissue2775 dependencies
2008-05-16 04:46:44brett.cannoncreate